<template lang="pug">
button.btn(
  :class="btnClass"
  @click="click()"
)
  slot
</template>

<script>
export default {
  props: {
    type: String,
    size: String
  },
  computed: {
    btnClass() {
      const type = (this.type) ? `btn__${this.type}` : ''
      const size = (this.size) ? `btn__${this.size}` : ''
      return `${type} ${size}`
    }
  },
  methods: {
    click() {
      this.$emit('click')
    }
  }
}
</script>

<style lang="stylus">
@import '~@/stylus/mixins.styl'

.btn
  font-family: 'Open Sans', sans-serif
  font-size: 1.3em
  border-radius: 10px
  font-weight: 700
  padding: 10px 40px
  border: none
  cursor: pointer
  &__logout
    background: transparent
    border: none
    cursor: pointer
  &__main
    color: lightColor
    text-decoration: none
    gradient()
    transition: all 0.2s
    &:hover
      box-shadow: 2px 2px 10px 0px rgba(0,0,0,0.2)
    &:focus, &:active, &:active:focus
      outline: none

  &__secondary
    transition: box-shadow 0.2s
    secondGradient()
    &:hover
      box-shadow: 2px 2px 5px -1px rgba(0,0,0,0.2)
    &:focus, &:active, &:active:focus
      outline: none

  &__mini
    font-size: 0.9em
    padding: 5px 20px
</style>
